Frequently Asked Questions

Will the X module work on Magento version X.X.X.X?

Our modules are supported on the latest version of Magento, indicated on the product page.


 Last updated Tue, Jul 8 2014 12:31pm

Be sure to browse our E-commerce Questions Section (FAQs), before opening a ticket.

Please Wait!

Please wait... it will take a second!